%define upstream_name    Math-GMP
%define upstream_version 2.11

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 3

Summary:    High speed arbitrary size integer math
License:    GPL
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    ftp://ftp.perl.org/pub/CPAN/modules/by-module/Math/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Devel::CheckLib)
BuildRequires: perl-devel
BuildRequires: gmp-devel

# Don't "provide" private Perl libs
%{?perl_default_filter}

%description
Math::GMP was designed to be a drop-in replacement both for
Math::BigInt and for regular integer arithmetic. Unlike
BigInt,  though,  Math::GMP  uses  the  GNU  gmp  library
for  all of its calculations, as opposed to straight Perl
functions. This can result in speed improvements.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
CFLAGS="$RPM_OPT_FLAGS" echo | %__perl Makefile.PL INSTALLDIRS=vendor
%make
make test

%install
%make_install

%files
%doc Changes INSTALL LICENSE META.yml MYMETA.yml README SIGNATURE
%{perl_vendorarch}/*
%{_mandir}/*/*


%changelog
* Sun Jun 19 2016 pterjan <pterjan> 2.110.0-3.mga6
+ Revision: 1029630
- Rebuild for perl 5.22.2

* Fri Feb 12 2016 umeabot <umeabot> 2.110.0-2.mga6
+ Revision: 957708
- Mageia 6 Mass Rebuild

* Sun Aug 23 2015 sander85 <sander85> 2.110.0-1.mga6
+ Revision: 868503
- update to 2.11

* Thu Aug 13 2015 sander85 <sander85> 2.100.0-1.mga6
+ Revision: 864395
- update to 2.10

* Wed Jul 29 2015 sander85 <sander85> 2.90.0-1.mga6
+ Revision: 858891
- update to 2.09

* Fri Jun 26 2015 tv <tv> 2.70.0-7.mga6
+ Revision: 844980
- rebuild for soname-ifed perl

* Wed Jun 24 2015 shlomif <shlomif> 2.70.0-6.mga6
+ Revision: 842038
- Rebuild for the new perl-5.22.0

* Wed Oct 15 2014 umeabot <umeabot> 2.70.0-5.mga5
+ Revision: 739186
- Second Mageia 5 Mass Rebuild

* Thu Oct 02 2014 tv <tv> 2.70.0-4.mga5
+ Revision: 735647
- add exclude

* Tue Sep 16 2014 umeabot <umeabot> 2.70.0-3.mga5
+ Revision: 685361
- Mageia 5 Mass Rebuild

* Tue Jun 03 2014 pterjan <pterjan> 2.70.0-2.mga5
+ Revision: 631445
- Rebuild for perl 5.20

* Mon Feb 10 2014 jquelin <jquelin> 2.70.0-1.mga5
+ Revision: 588485
- update to 2.07

* Sat Oct 19 2013 umeabot <umeabot> 2.60.0-5.mga4
+ Revision: 524418
- Mageia 4 Mass Rebuild

* Wed May 29 2013 jquelin <jquelin> 2.60.0-4.mga4
+ Revision: 430877
- perl 5.18.0 rebuild

* Sun Jan 13 2013 umeabot <umeabot> 2.60.0-3.mga3
+ Revision: 369594
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sun Jun 12 2011 sander85 <sander85> 2.60.0-2.mga3
+ Revision: 104784
- Rebuild for perl 5.14

* Sat Jan 22 2011 jquelin <jquelin> 2.60.0-1.mga1
+ Revision: 30810
- mageia rebuild
- imported package perl-Math-GMP


* Fri Sep 18 2009 Jérôme Quelin <jquelin@mandriva.org> 2.60.0-1mdv2010.0
+ Revision: 444248
- update to 2.06

* Mon Aug 03 2009 Jérôme Quelin <jquelin@mandriva.org> 2.50.0-1mdv2010.0
+ Revision: 407800
- rebuild using %%perl_convert_version

* Sat Oct 11 2008 Guillaume Rousse <guillomovitch@mandriva.org> 2.05-1mdv2009.1
+ Revision: 292556
- drop x86_64-only patch, useless now
- update to new version 2.05

* Thu Jul 31 2008 Thierry Vignaud <tv@mandriva.org> 2.04-7mdv2009.0
+ Revision: 257815
- rebuild

* Thu Jul 24 2008 Thierry Vignaud <tv@mandriva.org> 2.04-6mdv2009.0
+ Revision: 245840
- rebuild

* Tue Jan 15 2008 Thierry Vignaud <tv@mandriva.org> 2.04-4mdv2008.1
+ Revision: 152126
- rebuild
- kill re-definition of %%buildroot on Pixel's request

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

* Sat Sep 15 2007 Guillaume Rousse <guillomovitch@mandriva.org> 2.04-3mdv2008.0
+ Revision: 86600
- rebuild


* Thu Apr 13 2006 Oden Eriksson <oeriksson@mandriva.com> 2.04-2mdk
- Apply patch to fix broken testsuite on 64-bit arches (CPAN RT#12751)

* Wed Feb 23 2005 Rafael Garcia-Suarez <rgarciasuarez@mandrakesoft.com> 2.04-1mdk
- 2.04

* Thu Nov 18 2004 Rafael Garcia-Suarez <rgarciasuarez@mandrakesoft.com> 2.03-2mdk
- Rebuild for new perl

* Thu Nov 06 2003 Arnaud de Lorbeau <adelorbeau@mandrakesoft.com> 2.03-1mdk
- New package

